View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000606aMuleMiscpublic2005-10-21 00:582005-11-15 11:50
Reporterspiorf 
Assigned ToXaignar 
PrioritynormalSeverityblockReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product VersionSVN 
Target VersionFixed in VersionSVN 
Summary0000606: 20051020 100% cpu usage after raising upload limit
Descriptionamule goes 100% cpu usage when raising too much upload limit.
Additional Informationhere is the backtrace after killing amule
http://forum.amule.org/thread.php?threadid=7772&sid= [^]
TagsNo tags attached.
Fixed in Revision
Operating System
Attached Filesjpg file icon Schermata.jpg [^] (243,918 bytes) 2005-11-15 00:48


patch file icon ubt.patch [^] (1,741 bytes) 2005-11-15 02:39 [Show Content]

- Relationships

-  Notes
(0001329)
spiorf (reporter)
2005-10-21 01:29

compiled with $CFLAGS = -march=pentium4 -pipe -fomit-frame-pointer -O3
and CXXFLAGS the same, i'll recompile without these flags and let you know what happens
(0001343)
spiorf (reporter)
2005-10-23 23:41

same problem withouth cflags set
(0001364)
Kry (manager)
2005-10-26 12:52

something tells me this is for Xaignar... (banned clients iterator list).
(0001381)
Xaignar (manager)
2005-10-30 17:04

What do you mean by 'raising too much upload limit'?
Did you raise the upload limit to a very high value or?
(0001387)
spiorf (reporter)
2005-11-01 05:22
edited on: 2005-11-01 05:22

I mean raising the upload limit to about 80/100 kbps

modificata il: 11-01-05 05:22
(0001389)
Xaignar (manager)
2005-11-01 19:27

Is this something you can reproduce? Cause I am unable to trigger it here.
(0001395)
spiorf (reporter)
2005-11-02 18:33

Yes, i can reproduce.
I just switched to wx-cvs, and nothing changed.
you can find me on #amule most of the time, if you need more info.
(0001459)
Xaignar (manager)
2005-11-15 02:39

I've attached a possible workaround for the issue. Please let me know if it has any effect.

Cheers,
 Xaignar
(0001460)
spiorf (reporter)
2005-11-15 09:15

That patch works!
now the cpu usage when raising the upload limit is near 0.
(0001463)
Xaignar (manager)
2005-11-15 11:50

Fix committed. ;)

- Issue History
Date Modified Username Field Change
2005-10-21 00:58 spiorf New Issue
2005-10-21 01:29 spiorf Note Added: 0001329
2005-10-23 23:41 spiorf Note Added: 0001343
2005-10-26 12:52 Kry Status new => assigned
2005-10-26 12:52 Kry Assigned To => Xaignar
2005-10-26 12:52 Kry Note Added: 0001364
2005-10-30 17:04 Xaignar Note Added: 0001381
2005-11-01 05:22 spiorf Note Added: 0001387
2005-11-01 05:22 spiorf Note Edited: 0001387
2005-11-01 19:27 Xaignar Note Added: 0001389
2005-11-02 18:33 spiorf Note Added: 0001395
2005-11-15 00:48 spiorf File Added: Schermata.jpg
2005-11-15 02:39 Xaignar File Added: ubt.patch
2005-11-15 02:39 Xaignar Note Added: 0001459
2005-11-15 09:15 spiorf Note Added: 0001460
2005-11-15 11:50 Xaignar Status assigned => resolved
2005-11-15 11:50 Xaignar Fixed in Version => CVS
2005-11-15 11:50 Xaignar Resolution open => fixed
2005-11-15 11:50 Xaignar Note Added: 0001463


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker